Skip to main content
GET
This API requires authentication. See our Authentication Guide for details.

Path Parameters

task_id
string
required
UUID of the schema generation task

Status Values

  • PROCESSING: Task is currently being processed
  • COMPLETED: Task has completed successfully
  • FAILED: Task has failed
When status is COMPLETED, the response will include the schema generation results. When status is FAILED, the response will include error information.

Authorizations

Authorization
string
header
required

Enter your API key

Path Parameters

task_id
string
required

UUID of the schema generation task

Response

Successful Response

Response model for extraction status check

task_id
string
required
status
enum<string>
required
Available options:
processing,
retrying,
completed,
failed
created_at
string
required
updated_at
string
required
total_files
integer
default:1
processed_files
integer
default:0
failed_files
integer
default:0
results
Results · object | null
errors
string | null